Ho appena installato lubuntu 13.04 e come anche nella precedente versione 12.04 di ubuntu non mi trova i driver video. Dice: nessun driver proprietario in uso. Cosa dovrei fare?

Edit

$ lspci | egrep 'VGA|3D'
01:00.0 VGA compatible controller: NVIDIA Corporation NV18 [GeForce4 MX 4000] (rev c1)

Ho trovato questo link e gli ultimi driver disponibili per la mia scheda video sono della versione 12.04. Mi tocca fare quindi un downgrade?

link text

chiesto 06 Set '13, 15:49

Seooo's gravatar image

Seooo
105161621

modificato 07 Set '13, 12:41

In generale, non è detto che sia un male che non ci sono driver proprietari in uso, significa che stai usando i driver open source, che per certe schede video vanno più che bene. Molte intel funzionano egregiamente con i driver open, ed anche i nouveau per le Nvidia soddisfano molti utenti.

(06 Set '13, 15:55) enzotib ♦♦ enzotib's gravatar image

solo che a me anche con ubuntu davano molti problemi grafici. Cioè per esempio se metto le spunte nelle caselle non si vedono e anche su youtube non parte subito il video, appare prima la scritta.: video non disponibile e successivamente inzia a partire la riproduzione

(06 Set '13, 16:00) Seooo Seooo's gravatar image

È necessario allora che aggiungi un po' di informazioni, per esempio l'output di lspci | egrep 'VGA|3D'

(06 Set '13, 16:06) enzotib ♦♦ enzotib's gravatar image

Ora ho notato che ci sono altri pacchetti da installare con synaptic che da terminale non mi trovava... ora piano piano li sto installando non so se possa essere questo il problema

(06 Set '13, 16:09) Seooo Seooo's gravatar image

Allora? c'è qualche soluzione?

(06 Set '13, 16:29) Seooo Seooo's gravatar image

Aggiorna il sistema,riavvia poi ricontrolla se ti segnala driver da installare.

(06 Set '13, 18:37) Webber Webber's gravatar image

i miei procedimenti sono: sudo apt-get -f install sudo apt-get update sudo apt-get upgrade sudo apt-get dist-upgrade Riavvio ma nulla..

(06 Set '13, 19:21) Seooo Seooo's gravatar image
1

I procedimenti sono OK. Guarda in synaptic se trovi nvidia-current. Altrimenti installa i driver da PPA sudo add-apt-repository ppa:ubuntu-x-swat/x-updates sudo apt-get update sudo apt-get dist-upgrade sudo apt-get install nvidia-current

(06 Set '13, 19:41) Beppe Beppe's gravatar image

Non erano i pacchetti giusti, ho dovuto disinstallarli. Ma quali sono i driver per la mia scheda video? Ci sono tanti pacchetti su synaptic!

(06 Set '13, 20:48) Seooo Seooo's gravatar image

Il link-text che hai postato sottolinea i driver "nvidia-96" alla versione 96.43.23. Se non ci sono in synaptic, e nemmeno con i PPA che ti ho suggerito, l'unica cosa è quella di installare la versione 12.04 (che è anche supportata fino al 2017).

(07 Set '13, 13:10) Beppe Beppe's gravatar image

Non ci sono, ho fatto il downgrade. Cosa significa "supportata" fino al 2017?

(07 Set '13, 13:39) Seooo Seooo's gravatar image

Anch'io ho lo stesso problema. Io ho una GeForce4 Mx440. Ho cercato a lungo la soluzione e così ho scoperto che:

  1. Queste schede grafiche (molto vecchie) utilizzano i vecchi driver nvidia-96, che sono diventati incompatibili con l'ultima versione dell'Xserver Xorg (a partire mi pare da Ubuntu 12.04). Per questo motivo non trovi i driver serie 96 nei repository base di ubuntu. Ho provato a scaricare il driver 96 direttamente da nvidia, ma xorg va in crash e il sistema attiva il driver vga base (risoluzione 800x600).
  2. Ubuntu propone come alternativa opensource nouveau, che permette di salire di risoluzione ma presenta gli artefatti che descrivi tu (tipo non si vedono le spunte, o degli interi pulsanti spariscono, etc.).
  3. Il driver nouveau distribuito sulle repository di ubuntu è un po' vecchiotto e si potrebbe provare l'ultima versione, ma bisogna ricompilarsela da soli. Francamente non mi va anche perche' dubito proprio che gli sviluppatori di nouveau si siano concentrati sul risolvere problemi di schede vecchie più di 10 anni.
  4. Una possibile soluzione è retrogradare xorg, oppure cambiare scheda con una più moderna.

Se hai trovato un'altra soluzione, ti sarei grato se la potessi postare. Ciao

coll. permanente

ha risposto 28 Set '13, 13:17

lucamanu's gravatar image

lucamanu
101

modificato 28 Set '13, 13:18

@lucamanu, se nessuna guida ti è stata d'aiuto, credo che orientarsi verso una distribuzione più leggera sia da valutare. Lubuntu o Linux-Mint-Mate 12.04 potrebbero fare al caso tuo come Damn-Small-Linux, o Puppy-Linux o ancora Kolibrì e ubuntu-Gnome-fallback.

(28 Set '13, 14:14) Beppe Beppe's gravatar image

In effetti il problema mi era emerso dopo un upgrade da una vecchia versione di Ubuntu alla 12.10, ma avevo attribuito il malfunzionamento della grafica a qualche mio errore durante l'installazione. Poiché, comunque unity non veniva proprio gestito dal mio vecchiardo, avevo pensato alla soluzione che proponi, ed avevo installato Lubuntu. Ma non avendo associato il problema di Xserver, ho installato 12.10... giusto un gradino troppo alto! Ora ho fatto il downgrade di Xserver secondo il suggerimento qui: http://ubuntuforums.org/showthread.php?t=2123983 Ho finalmente recuperato i miei occhi! Ciao

(28 Set '13, 16:51) lucamanu lucamanu's gravatar image

ti consiglio lubuntu 12.04, con lui non ho nessun tipo di problema

(29 Set '13, 11:09) Seooo Seooo's gravatar image

ciao, se apri gestore pacchetti e digiti: nvidia, magari trovi quanto cerchi. se non lo hai installato dal terminale:
sudo apt-get install synaptic

coll. permanente

ha risposto 28 Set '13, 23:25

dxgiusti's gravatar image

dxgiusti
1.3k211

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×251
×87

domanda posta: 06 Set '13, 15:49

domanda visualizzata: 6,708 volte

ultimo aggiornamento: 29 Set '13, 11:09

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.